/**
* LICENSE 
* Bonita
* Copyright (C) 2005 Bull S.A.
* Bull 68 route de versailles  78434 Louveciennes Cedex France
* Further information: bonita@objectweb.org
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*/
package org.ow2.proed.chi.test;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JTextField;

import org.ow2.proed.chi.components.Buttons;


/**
 * TestColor.java
 * Created on 5 avr. 2005
 * 
 * @author Ducreux Evelyne - Gonthier Manu�la
 * @version $Id: TestColor.java 3505 2008-09-18 13:16:10Z vigneras $
 * <p>
 */
public class TestColor extends JPanel {
	/**
	 * 
	 */
	private static final long serialVersionUID = 8224643741812928389L;
	private JTextField jTextField = null;  //  @jve:decl-index=0:visual-constraint="169,63"
    /**
     *  
     */
    public TestColor() {

        super();
        initialize();
    }

    /**
     * This method initializes this
     * 
     * @return void
     */
    private void initialize() {
                this.setSize(191, 77);
                this.setBorder(javax.swing.BorderFactory.createMatteBorder(1,1,1,1,java.awt.Color.gray));
                this.setBackground(new java.awt.Color(100,180,100));
Buttons b = new Buttons();
        this.add(b.createButtonValidate());
        this.add(b.createButtonCancel());
        this.add(b.createButtonAdd());
        this.add(b.createButtonEdit());
        this.add(b.createButtonDelete());
        

    }
    
	/**
	 * This method initializes jTextField	
	 * 	
	 * @return javax.swing.JTextField	
	 */    
	private JTextField getJTextField() {
		if (jTextField == null) {
			jTextField = new JTextField();
			jTextField.setFont(new java.awt.Font("MS Sans Serif", java.awt.Font.BOLD, 11));
		}
		return jTextField;
	}
     public static void main(String[] args) {
        JFrame f = new JFrame();
        TestColor t = new TestColor();
        f.setContentPane(t);
        f.setVisible(true);
    }
    
    
}  //  @jve:decl-index=0:visual-constraint="10,10"